JSutilfuc.domCache = (function() {
    /**
     * DOM缓存
     * 
     * 常用的DOM元素缓存
     *
     * @param <String> selector 选择器 可以使用id,样式，标签选择器 例如：'#id', '.class', 'p'
     * @param <String> selector 选择器 可以使用id,样式，标签选择器 例如：'#id', '.class', 'p'
     * @return：Element OR List<Element>
     * @throw: 异常抛出：无
     * @example: 示例代码
     * JSutilfuc.domCache.getElements('p')
     **/
    var getElements = function(selector) {
        if (!getElements.cache) getElements.cache = {};
        return getElements.cache[selector] = getElements.cache[selector] || document.getElementsByTagName(selector);
    }

    var remove = function(selector) {
        getElements[selector] = '';
        delete getElements[selector];
    }
    return {
        getElements: getElements,
        remove: remove
    }
}());