// 一个常见的`webpack`配置文件
const webpack = require('webpack');
const path = require('path')
const config = require('./package.json')

module.exports = {
    // entry: __dirname + "/src/main.js", //已多次提及的唯一入口文件
    output: {
        path: path.resolve(__dirname, "/dist"),
        // filename: "JSutilfuc-[hash].js"
        filename: "JSutilfuc-" + config.version + ".min.js"
    },
    devtool: 'none',
    module: {
        rules: [{
            test: /(\.jsx|\.js)$/,
            use: {
                loader: "babel-loader"
            },
            exclude: /node_modules/
        }]
    },
    plugins: [
        new webpack.BannerPlugin('版权所有，翻版必究\n' +
            '文档说明:\n' +
            config.description +
            '文档更新:\n' +
            config.revise +
            '创建时间： 2017-11-20\n' +
            '作者: 吴波\n' +
            '版本: ' +
            config.version),
        new webpack.optimize.OccurrenceOrderPlugin(),
        new webpack.optimize.UglifyJsPlugin()
    ]
};